"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = orderNodes;
function orderNodes(ids, nodes) {
  var idMap = {};
  var orderedNodes = [];

  ids.forEach(function (id, idx) {
    idMap[id] = idx;
    orderedNodes[idx] = null;
  });

  nodes.forEach(function (node) {
    if (node) {
      orderedNodes[idMap[node.id]] = node;
    }
  });

  return orderedNodes;
}