"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(node, edges) {
    var reverse = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    var hasNextPage, hasPreviousPage, nodeIds, nodes, connectionEdges;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            hasNextPage = reverse ? false : edges.hasNextPage;
            hasPreviousPage = reverse ? edges.hasNextPage : false;
            nodeIds = edges.edges.map(function (edge) {
              return edge.nodeId;
            });
            _context.next = 5;
            return node.read(nodeIds);

          case 5:
            nodes = _context.sent;
            connectionEdges = nodes.map(function (node, idx) {
              if (edges.edges[idx] == null) {
                return null;
              }
              return {
                cursor: edges.edges[idx].id.toString(32),
                node: node
              };
            });
            return _context.abrupt("return", { hasNextPage: hasNextPage, hasPreviousPage: hasPreviousPage, edges: connectionEdges });

          case 8:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  function toConnection(_x2, _x3) {
    return _ref.apply(this, arguments);
  }

  return toConnection;
}();